HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

Get a list of Access Points

(Deprecated) This API endpoint retrieves a list of access points associated to a customer, based on the query parameters provided. Each access point in the returned list includes comprehensive details like serial number, name, MAC address, siteId, status etc. The query parameters allow you to narrow down the results to access points that meet specific criteria, ensuring you receive only the relevant data.

Notes: The notes field in the response will have a value only when the request is filtered by site ID or serialNumber.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
length ≤ 256

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction; ('or' and 'not' are NOT supported). Supported fields and operators are in the below given table.

FieldOperators
siteIdeq and in
modeleq and in
statuseq and in
deploymenteq and in

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.

  • in: Only values present in the given list are returned.

string
length ≤ 256

Comma-separated list of sort expressions. Each sort expression is a property name optionally followed by a direction indicator: asc (ascending) or desc (descending).

The first sort expression in the list defines the primary sort order, the second defines the secondary sort order, and so on. If a direction indicator is omitted, then the default direction is ascending.

Supported fields are siteId, model, status, deployment, serialNumber, and deviceName.

int64
0 to 100
Defaults to 20

Denotes the maximum number of access points returned in the response.

string

Specifies the pagination cursor for the next page of resources.

Minimum value: 1

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json